package org.jeecg.modules.ctop.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecg.modules.excelutil.entity.JhsBakendDataEntity;

import java.util.Date;

/**
 * 聚划算后端数据
 * @author jeecg-boot
 * @date   2020-09-07
 * @version V1.0
 */
@Data
@TableName("ctop_jhs_bakend_data")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class JhsBakendData {

	@TableId
	private String id;
	private String stateDate;
	private String productLine;
	private String taskName;
	private String clientName;
	private String channelId;
	private String channelName;
	private String adId;
	private Long pageView;
	private Long dealNumber;
	private Date createTime;
	private Date updateTime;

	public JhsBakendData(JhsBakendDataEntity dataEntity) {
		this.adId = dataEntity.getAdId();
		this.stateDate = dataEntity.getStateDate();
		this.productLine = dataEntity.getProductLine();
		this.taskName = dataEntity.getTaskName();
		this.clientName = dataEntity.getClientName();
		this.channelId = dataEntity.getChannelId();
		this.channelName = dataEntity.getChannelName();
		this.pageView = dataEntity.getPageView();
		this.dealNumber = dataEntity.getDealNumber();
		this.updateTime = new Date();
		this.createTime = new Date();
		this.id = adId+stateDate;
	}

	public JhsBakendData() {
	}

}
